
from odoo import models


class SaleAdvancePaymentInv(models.TransientModel):
    _inherit = 'sale.advance.payment.inv'

    def _create_invoices(self, sale_orders):
        # ensure to update the products on our odoo monthly subscriptions
        # before creating an invoice
        monthly_odoo_subscription = sale_orders._filter_odoo_monthly_contract()
        monthly_odoo_subscription.set_apps_recurring_lines()
        return super()._create_invoices(sale_orders)
